View Issue Details

IDProjectCategoryView StatusLast Update
0001599Industrial-Craft²tools / electric itemspublic2015-06-04 21:19
ReporterChocoheadAssigned ToPlayer 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001599: Ore Dictionary Config
DescriptionI set some custom ore dictionary entries for the scanner/miner in the config, but when I tried actually scanning, it crashed
TagsNo tags attached.
Minecraft Version

Activities

Chocohead

2015-05-13 19:42

developer  

crash-2015-05-13_20.39.29-server.txt (16,779 bytes)
---- Minecraft Crash Report ----
// Everything's going to plan. No, really, that was supposed to happen.

Time: 13/05/15 20:39
Description: Ticking memory connection

java.lang.NullPointerException: Ticking memory connection
	at net.minecraft.item.ItemStack.func_77960_j(ItemStack.java:217)
	at ic2.api.recipe.RecipeInputOreDict.matches(RecipeInputOreDict.java:32)
	at ic2.core.item.tool.ItemScanner.valueOf(ItemScanner.java:89)
	at ic2.core.item.tool.ItemScanner.isValuable(ItemScanner.java:80)
	at ic2.core.item.tool.ItemScanner.scan(ItemScanner.java:134)
	at ic2.core.item.tool.ItemScanner.func_77659_a(ItemScanner.java:63)
	at net.minecraft.item.ItemStack.func_77957_a(ItemStack.java:146)
	at net.minecraft.server.management.ItemInWorldManager.func_73085_a(ItemInWorldManager.java:316)
	at net.minecraft.network.NetHandlerPlayServer.func_147346_a(NetHandlerPlayServer.java:539)
	at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:60)
	at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:9)
	at net.minecraft.network.NetworkManager.func_74428_b(NetworkManager.java:212)
	at net.minecraft.network.NetworkSystem.func_151269_c(NetworkSystem.java:165)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:659)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:186)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427)
	at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
	at net.minecraft.item.ItemStack.func_77960_j(ItemStack.java:217)
	at ic2.api.recipe.RecipeInputOreDict.matches(RecipeInputOreDict.java:32)
	at ic2.core.item.tool.ItemScanner.valueOf(ItemScanner.java:89)
	at ic2.core.item.tool.ItemScanner.isValuable(ItemScanner.java:80)
	at ic2.core.item.tool.ItemScanner.scan(ItemScanner.java:134)
	at ic2.core.item.tool.ItemScanner.func_77659_a(ItemScanner.java:63)
	at net.minecraft.item.ItemStack.func_77957_a(ItemStack.java:146)
	at net.minecraft.server.management.ItemInWorldManager.func_73085_a(ItemInWorldManager.java:316)
	at net.minecraft.network.NetHandlerPlayServer.func_147346_a(NetHandlerPlayServer.java:539)
	at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:60)
	at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:9)
	at net.minecraft.network.NetworkManager.func_74428_b(NetworkManager.java:212)

-- Ticking connection --
Details:
	Connection: net.minecraft.network.NetworkManager@4a1a53cc
Stacktrace:
	at net.minecraft.network.NetworkSystem.func_151269_c(NetworkSystem.java:165)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:659)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:186)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427)
	at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)

-- System Details --
Details:
	Minecraft Version: 1.7.10
	Operating System: Windows 8 (amd64) version 6.2
	Java Version: 1.7.0_51, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 441836912 bytes (421 MB) / 1076363264 bytes (1026 MB) up to 1908932608 bytes (1820 MB)
	JVM Flags: 4 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx2G -XX:MaxPermSize=128m -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heap
	AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	IntCache: cache: 0, tcache: 0, allocated: 15, tallocated: 95
	FML: MCP v9.05 FML v7.10.85.1272 Minecraft Forge 10.13.2.1272 Optifine OptiFine_1.7.10_HD_B4 63 mods loaded, 63 mods active
	mcp{9.05} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	FML{7.10.85.1272} [Forge Mod Loader] (forge-1.7.10-10.13.2.1272.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forge{10.13.2.1272} [Minecraft Forge] (forge-1.7.10-10.13.2.1272.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Aroma1997Core{1.0.2.13} [Aroma1997Core] (Aroma1997Core-1.7.10-1.0.2.13.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CodeChickenCore{1.0.4.35} [CodeChicken Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NotEnoughItems{1.0.4.83} [Not Enough Items] (NotEnoughItems-1.7.10-1.0.4.83-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Core{6.4.14} [BuildCraft] (buildcraft-6.4.14.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Transport{6.4.14} [BC Transport] (buildcraft-6.4.14.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Silicon{6.4.14} [BC Silicon] (buildcraft-6.4.14.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Builders{6.4.14} [BC Builders] (buildcraft-6.4.14.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Energy{6.4.14} [BC Energy] (buildcraft-6.4.14.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Factory{6.4.14} [BC Factory] (buildcraft-6.4.14.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Additional-Buildcraft-Objects{MC1.7.10-BC6.4release2.9.0} [Additional Buildcraft Objects] (ABO-MC1.7.10-BC6.4-release2.9.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	additionalpipes{4.4.0} [Additional Pipes] (additionalpipes-4.4.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IC2{2.2.719-experimental} [IndustrialCraft 2] (industrialcraft-2-2.2.719-experimental.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ImmibisCore{59.0.5} [Immibis Core] (immibis-core-59.0.5.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AdvancedRepulsionSystems{59.0.2} [Advanced Repulsion Systems] (adv-repulsion-systems-59.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AdvancedMachines{59.0.2} [Advanced Machines] (advanced-machines-59.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AdvancedSolarPanel{1.7.10-3.5.1} [Advanced Solar Panels] (AdvancedSolarPanel-1.7.10-3.5.1.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AdvancedPowerManagement{2.0.0b} [Advanced Power Management] (AdvPowerMan-2.0.0b.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Aroma1997CoreHelper{1.0.2.13} [Aroma1997Core|Helper] (Aroma1997Core-1.7.10-1.0.2.13.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ExtrabiomesXL{3.16.2} [ExtrabiomesXL] (extrabiomesxl_1.7.10-3.16.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forestry{3.6.0.536-unstable} [Forestry for Minecraft] (forestry_1.7.10-3.6.0.536-unstable.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BinnieCore{2.0-pre8} [Binnie Core] (binnie-mods-2.0-pre8.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Botany{2.0-pre8} [Botany] (binnie-mods-2.0-pre8.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ExtraBees{2.0-pre8} [Extra Bees] (binnie-mods-2.0-pre8.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ExtraTrees{2.0-pre8} [Extra Trees] (binnie-mods-2.0-pre8.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Genetics{2.0-pre8} [Genetics] (binnie-mods-2.0-pre8.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	qmunitylib{1.0} [QmunityLib] (QmunityLib-1.7.10-0.1.107-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	bluepower{0.2.938} [Blue Power] (BluePower-1.7.10-0.2.938-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ForgeMultipart{1.1.0.309} [Forge Multipart] (ForgeMultipart-1.7.10-1.1.0.309-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	boilerplate{5.0.0} [Boilerplate] (boilerplate-1.7.10-4.2.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Compat{6.4.0} [BuildCraft Compat] (buildcraft-compat-6.4.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CompactSolars{4.4.39.315} [Compact Solar Arrays] (CompactSolars-1.7.10-4.4.39.315-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	DimensionalAnchors{59.0.2} [Dimensional Anchors] (dimensional-anchor-59.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ElectricalAddition{1.0} [ElectricalAddition] (ElectricalAddition-1.7.10-1.0.0.1.b4.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	EnderStorage{1.4.5.27} [EnderStorage] (EnderStorage-1.7.10-1.4.5.27-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	FastCraft{1.22} [FastCraft] (fastcraft-1.22-ctest4.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	FloodLights{0.4.3} [Flood Lights] (FloodLights-1.7.10-0.4.3-62.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	GraviSuite{1.7.10-2.0.3} [Graviation Suite] (GraviSuite-1.7.10-2.0.3.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IC2BackpackHUD{3.0} [IC2 Backpack HUD] (IC2 Backpack HUD v3.0 - MC 1.7.10.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IC2NuclearControl{2.2.1a-Yolo} [Nuclear Control 2] (IC2NuclearControl-2.2.1a-Yolo.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ihl{0.553} [IHL Tools & Machines for IC2V2] (ihl-tools_n_machines-0.553-1.7.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IronChest{6.0.62.742} [Iron Chest] (ironchest-1.7.10-6.0.62.742-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	LogisticsPipes{0.8.3.118} [Logistics Pipes] (logisticspipes-0.8.3.118.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NEIAddons{1.12.5.17} [NEI Addons] (neiaddons-mc1710-1.12.5.17.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NEIAddons|Botany{1.12.5.17} [NEI Addons: Botany] (neiaddons-mc1710-1.12.5.17.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NEIAddons|Forestry{1.12.5.17} [NEI Addons: Forestry] (neiaddons-mc1710-1.12.5.17.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NEIAddons|CraftingTables{1.12.5.17} [NEI Addons: Crafting Tables] (neiaddons-mc1710-1.12.5.17.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NEIAddons|ExNihilo{1.12.5.17} [NEI Addons: Ex Nihilo] (neiaddons-mc1710-1.12.5.17.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	neiintegration{1.0.7} [NEI Integration] (NEIIntegration-MC1.7.10-1.0.7.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Railcraft{9.6.1.0} [Railcraft] (Railcraft_1.7.10-9.6.1.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	PowerConverters{1.7.10_3.2.2-jenkins.70} [Power Converters] (PowerConverters-1.7.10_3.2.2-jenkins.70.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	PowerUtils{1.7.10-1.0.4} [PowerUtils] (PowerUtils-1.7.10-1.0.4.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ProjectE{1.7.10-PE1.4.5} [ProjectE] (ProjectE-1.7.10-PE1.4.5.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ReiMinimap{1.7.10} [Rei's Minimap] (ReiMinimap-1.7.10-3.6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	steamcraft2{Beta R4.3} [Steamcraft 2] (steamcraft2-1.7.10-B4.3.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Tubestuff{59.0.1} [Tubestuff] (tubestuff-59.0.1.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	WR-CBE|Core{1.4.1.9} [WR-CBE Core] (WR-CBE-1.7.10-1.4.1.9-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	WR-CBE|Addons{1.4.1.9} [WR-CBE Addons] (WR-CBE-1.7.10-1.4.1.9-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	WR-CBE|Logic{1.4.1.9} [WR-CBE Logic] (WR-CBE-1.7.10-1.4.1.9-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	McMultipart{1.1.0.309} [Minecraft Multipart Plugin] (ForgeMultipart-1.7.10-1.1.0.309-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ForgeMicroblock{1.1.0.309} [Forge Microblocks] (ForgeMultipart-1.7.10-1.1.0.309-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forestry : Warning: You have mods that change the behavior of Minecraft, ForgeModLoader, and/or Minecraft Forge to your client: 
Optifine
These may have caused this error, and may not be supported. Try reproducing the crash WITHOUT these mods, and report it then.
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Player Count: 1 / 8; [EntityPlayerMP['Chocohead'/397, l='Testing Mk World 2', x=38.99, y=78.30, z=254.55]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'

Player

2015-06-04 21:19

administrator   ~0003897

Thanks, this should be fixed in the next build. It's currently only possible to specify the value for blocks with directly attached items however.

Issue History

Date Modified Username Field Change
2015-05-13 19:42 Chocohead New Issue
2015-05-13 19:42 Chocohead File Added: crash-2015-05-13_20.39.29-server.txt
2015-06-04 21:19 Player Note Added: 0003897
2015-06-04 21:19 Player Status new => resolved
2015-06-04 21:19 Player Resolution open => fixed
2015-06-04 21:19 Player Assigned To => Player